---
page_title: Get Mandate Order Status
product: SmartGateway TranPortal Integration
page_source: https://smartgateway.hdfc.bank.in/docs/docs/smartgateway-tranportal-integration/docs/tranportal-integration/get-mandate-order-status
openapi: https://smartgateway.hdfc.bank.in/docs/docs/api/swagger?document=https%3A%2F%2Fsmartgateway.hdfc.bank.in%2Fdocs%2Fdocs%2Fsmartgateway-tranportal-integration%2Fdocs%2Ftranportal-integration%2Fget-mandate-order-status
llms_txt: https://smartgateway.hdfc.bank.in/docs/docs/llms.txt
product_llms_txt: https://smartgateway.hdfc.bank.in/docs/docs/smartgateway-tranportal-integration/llms.txt
---

## API Version: default


# Get Mandate Order Status



This is the same API used to check order status. It can also be used to fetch the status of a mandate.


| Status | ID | Meaning |
|---|---|---|
| NEW | 10 | Newly created order. |
| PENDING_VBV | 23 | Authentication is in progress. The customer has to approve the mandate through the PSP App of their choice. |
| CHARGED | 21 | Successful transaction. The subscription cost of the period has been charged. |
| AUTHENTICATION_FAILED	 | 26 | User did not complete authentication. |
| AUTHORIZATION_FAILED	 | 27 | User completed authentication, but the bank refused the transaction. |
| JUSPAY_DECLINED	 | 22 | User input is not accepted by the underlying PG. |
| AUTHORIZING | 28 | Transaction status is pending from bank. |


## Endpoints:
- Sandbox: https://smartgateway.hdfcuat.bank.in/orders/{order_id}

- Production: https://smartgateway.hdfc.bank.in/orders/{order_id}

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from HDFC Smart Gateway’s  dashboard

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username, Mandatory
## Headers:

#### x-merchantid:
Merchant ID which would have been issues while registering with HDFC Smart Gateway
- Tags: string, Required

#### version:
Pass the current date in YYYY-MM-DD format
- Tags: string

#### x-resellerid:
Reseller ID provided by bank
- Value: hdfc_reseller
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request - UPI Code Snippet:

```request - upi
curl GET 'https://smartgateway.hdfc.bank.in/orders/234823498237423894273498' \
--header 'x-merchantid: merchant' \
--header 'Authorization: Basic <base64 of key:>'
--header 'version: 2023-06-30'

```

### Sample Response:

#### UPI:
```json
{
  "udf9": "",
  "udf8": "",
  "udf7": "",
  "udf6": "",
  "udf5": "",
  "udf4": "",
  "udf3": "",
  "udf2": "",
  "udf10": "",
  "udf1": "",
  "txn_uuid": "eulmyxQn6bQso6y1Syy",
  "txn_id": "juspay-234823498237423894273498-1",
  "txn_detail": {
    "txn_uuid": "eulmyxQn6bQso6y1Syy",
    "txn_object_type": "EMANDATE_REGISTER",
    "txn_id": "juspay-234823498237423894273498-1",
    "txn_amount": 1,
    "tax_amount": null,
    "surcharge_amount": null,
    "status": "CHARGED",
    "source_object_id": "91887",
    "source_object": "MANDATE",
    "redirect": true,
    "order_id": "234823498237423894273498",
    "net_amount": 1,
    "gateway_id": 19,
    "gateway": "PAYTM_V2",
    "express_checkout": false,
    "error_message": "",
    "error_code": "",
    "currency": "INR",
    "created": "2020-08-30T09:53:17Z"
  },
  "status_id": 21,
  "status": "CHARGED",
  "return_url": "https://smartgateway.hdfcuat.bank.in",
  "refunded": false,
  "product_id": "",
  "payment_method_type": "UPI",
  "payment_method": "UPI",
  "payment_links": {
    "web": "https://smartgateway.hdfcuat.bank.in/merchant/pay/ordeu_9a0929803da644df8036133cf14d0206",
    "mobile": "https://smartgateway.hdfcuat.bank.in/merchant/pay/ordeu_9a0929803da644df8036133cf14d0206?mobile=true",
    "iframe": "https://smartgateway.hdfcuat.bank.in/merchant/ipay/ordeu_9a0929803da644df8036133cf14d0206"
  },
  "payment_gateway_response": {
    "txn_id": "juspay-234823498237423894273498-1",
    "rrn": "4299662",
    "resp_message": "Txn Success",
    "resp_code": "01",
    "epg_txn_id": "202008301131312168187301880189",
    "created": "2020-08-30T09:54:10Z",
    "auth_id_code": ""
  },
  "payer_vpa": "9999999999@paytm",
  "order_id": "234823498237423894273498",
  "metadata": {
    "PAYTM_V2:gateway_reference_id": "upimandate"
  },
  "merchant_id": "juspay",
  "mandate": {
    "start_date": "1598745600",
    "rule_value": 30,
    "rule_type": "AFTER",
    "revokable_by_customer": true,
    "max_amount": 1000,
    "mandate_type": "EMANDATE",
    "mandate_token": "ad1d28b13f460fb5d348487be790f3",
    "mandate_status": "ACTIVE",
    "mandate_id": "3XMEcS1z2212Gq7fbfVYbzj",
    "frequency": "MONTHLY",
    "end_date": "1606521610",
    "block_fund": false,
    "amount_rule": "VARIABLE"
  },
  "id": "ordeu_9a0929803da644df8036133cf14d0206",
  "gateway_reference_id": "upimandate",
  "gateway_id": 19,
  "date_created": "2020-08-30T09:47:46Z",
  "customer_phone": "9999999999",
  "customer_id": "cst_lz7zmpemoo5okv",
  "customer_email": "customer@gmail.com",
  "currency": "INR",
  "bank_error_message": "",
  "bank_error_code": "",
  "auth_type": "",
  "amount_refunded": 0,
  "amount": 1
}

```

## Path Parameters:

#### order_id:
Order Id for which you want check mandate order status
- Value: Example:- ord_234823498237423894273498
- Tags: String, Mandatory
## API Responses:
### 200:

#### UPI:
- Value:
  - **Udf1-10**:
    - Tags: String
  - **Txn_uuid**:
    - Description: Transaction UUID
    - Tags: String
  - **Txn_id**:
    - Description: Transaction ID
    - Tags: String
  - **Txn_detail**:
    - Value:
      - **Txn_uuid**:
        - Description: Transaction UUID
        - Tags: String
      - **Txn_object_type**:
        - Tags: String
      - **Txn_id**:
        - Tags: String
      - **Txn_amount**:
        - Tags: String
      - **Tax_amount**:
        - Tags: String
      - **Surcharge_amount**:
        - Tags: String
      - **Status**:
        - Tags: String
      - **Source_object_id**:
        - Tags: String
      - **Source_object**:
        - Tags: String
      - **Redirect**:
        - Tags: boolean
      - **Order_id**:
        - Description: Unique Identifier for the order.
        - Tags: String
      - **Net_amount**:
        - Tags: Integer
      - **Gateway_id**:
        - Tags: Integer
      - **Gateway**:
        - Tags: String
      - **Express_checkout**:
        - Tags: Boolean
      - **Error_message**:
        - Tags: String
      - **Error_code**:
        - Tags: String
      - **Currency**:
        - Description: ISO string of the currency.
        - Tags: String
      - **Created**:
        - Tags: String
    - Tags: object
  - **Status_id**:
    - Description: Status ID is a numeric id corresponding to the status value.
    - Tags: Integer
  - **Status**:
    - Description: Status of the order. If you receive “NEW”, then the order is successfully created.
    - Tags: String
  - **Return_url**:
    - Description: A fully qualified URL such as [http://shop.merchant.com/](http://shop.merchant.com/) to which the customer will be redirected after payment completion.
    - Tags: String
  - **Refunded**:
    - Tags: Boolean
  - **Product_id**:
    - Description: An identifier for the product on the Lender side for which the payment is being done. This field is just echoed back in the response so that Lender can differentiate on their side.
    - Tags: String
  - **Payment_method_type**:
    - Description: Payment method type used at the time of creating a mandate
    - Tags: String
  - **Payment_method**:
    - Description: Payment method used at the time of creating a mandate
    - Tags: String
  - **Payment_links**:
    - Description: Contains 3 strings that link to a Desktop optimized, Mobile optimized as well as iFrame checkout screen for the given order.
    - Value:
      - **Web**:
        - Tags: String
      - **Mobile**:
        - Tags: String
      - **Iframe**:
        - Tags: String
    - Tags: Object
  - **Payment_gateway_response**:
    - Value:
      - **Txn_id**:
        - Tags: String
      - **Rrn**:
        - Tags: String
      - **Resp_message**:
        - Tags: String
      - **Resp_code**:
        - Tags: String
      - **Epg_txn_id**:
        - Tags: String
      - **Created**:
        - Tags: String
      - **Auth_id_code**:
        - Tags: String
    - Tags: object
  - **Payer_vpa**:
    - Description: Payer VPA used during setting up mandate
    - Tags: String
  - **Order_id**:
    - Description: Unique Identifier for the order.
    - Tags: String
  - **Metadata**:
    - Value:
      - **PAYTM_V2:gateway_reference_id**:
        - Tags: String
    - Tags: Object
  - **Mandate**:
    - Value:
      - **Start_date**:
        - Description: Mandate start date. The value that is passed during order creation
        - Tags: String
      - **Rule_value**:
        - Description: Rule value
        - Tags: Integer
      - **Rule_type**:
        - Description: Rule Type
        - Tags: String
      - **Revokable_by_customer**:
        - Description: Mandate revocable by customer
        - Tags: boolean
      - **Max_amount**:
        - Description: Mandate max amount
        - Tags: integer
      - **Mandate_type**:
        - Description: Type of Mandate. Example: EMANDATE
        - Tags: String
      - **Mandate_token**:
        - Description: Mandate token sent by Juspay after mandate creation
        - Tags: String
      - **Mandate_status**:
        - Description: Status of the Mandate. Will be ACTIVE if the mandate is successfully setup
        - Tags: String
      - **Mandate_id**:
        - Description: Mandate id sent by Juspay after mandate creation
        - Tags: String
      - **Frequency**:
        - Description: Mandate frequency
        - Tags: String
      - **End_date**:
        - Description: Mandate end data.The value that is passed during order creation
        - Tags: String
      - **Block_fund**:
        - Description: Mandate block fund
        - Tags: boolean
      - **Amount_rule**:
        - Description: Amount rule
        - Tags: String
    - Tags: Object
  - **Id**:
    - Description: Unique ID generated by Juspay for the given order.
    - Tags: String
  - **Gateway_reference_id**:
    - Tags: String
  - **Gateway_id**:
    - Tags: integer
  - **Date_created**:
    - Tags: String
  - **Customer_phone**:
    - Description: Mobile number or fixed line number of the customer.
    - Tags: String
  - **Customer_id**:
    - Description: Customer Identifier against which a mandate should be created. This has to be unique for a customer
    - Tags: String
  - **Customer_email**:
    - Description: Email address of the customer.
    - Tags: String
  - **Currency**:
    - Description: ISO string of the currency.
    - Tags: String
  - **Bank_error_message**:
    - Description: Bank Error Message
    - Tags: String
  - **Bank_error_code**:
    - Description: Bank Error Code
    - Tags: String
  - **Auth_type**:
    - Description: Type of authentication used
    - Tags: String
  - **Amount_refunded**:
    - Description: The amount that was refunded
    - Tags: Integer
  - **Amount**:
    - Description: This is the amount that a customer will be charged in this transaction.
    - Tags: Integer
- Tags: JSON

#### Card:
- Value:
  - **Udf1-10**:
    - Tags: String
  - **Txn_uuid**:
    - Description: Transaction UUID
    - Tags: String
  - **Txn_id**:
    - Description: Transaction ID
    - Tags: String
  - **Txn_detail**:
    - Value:
      - **Txn_uuid**:
        - Description: Transaction UUID
        - Tags: String
      - **Txn_object_type**:
        - Tags: String
      - **Txn_id**:
        - Tags: String
      - **Txn_amount**:
        - Tags: String
      - **Tax_amount**:
        - Tags: String
      - **Surcharge_amount**:
        - Tags: String
      - **Status**:
        - Tags: String
      - **Source_object_id**:
        - Tags: String
      - **Source_object**:
        - Tags: String
      - **Redirect**:
        - Tags: boolean
      - **Order_id**:
        - Description: Unique Identifier for the order.
        - Tags: String
      - **Net_amount**:
        - Tags: Integer
      - **Gateway_id**:
        - Tags: Integer
      - **Gateway**:
        - Tags: String
      - **Express_checkout**:
        - Tags: Boolean
      - **Error_message**:
        - Tags: String
      - **Error_code**:
        - Tags: String
      - **Currency**:
        - Description: ISO string of the currency.
        - Tags: String
      - **Created**:
        - Tags: String
    - Tags: object
  - **Status_id**:
    - Description: Status ID is a numeric id corresponding to the status value.
    - Tags: Integer
  - **Status**:
    - Description: Status of the order. If you receive “NEW”, then the order is successfully created.
    - Tags: String
  - **Return_url**:
    - Description: A fully qualified URL such as [http://shop.merchant.com/](http://shop.merchant.com/) to which the customer will be redirected after payment completion.
    - Tags: String
  - **Refunded**:
    - Tags: Boolean
  - **Product_id**:
    - Description: An identifier for the product on the Lender side for which the payment is being done. This field is just echoed back in the response so that Lender can differentiate on their side.
    - Tags: String
  - **Payment_method_type**:
    - Description: Payment method type used at the time of creating a mandate
    - Tags: String
  - **Payment_method**:
    - Description: Payment method used at the time of creating a mandate
    - Tags: String
  - **Payment_links**:
    - Description: Contains 3 strings that link to a Desktop optimized, Mobile optimized as well as iFrame checkout screen for the given order.
    - Value:
      - **Web**:
        - Tags: String
      - **Mobile**:
        - Tags: String
      - **Iframe**:
        - Tags: String
    - Tags: Object
  - **Payment_gateway_response**:
    - Value:
      - **Txn_id**:
        - Tags: String
      - **Rrn**:
        - Tags: String
      - **Resp_message**:
        - Tags: String
      - **Resp_code**:
        - Tags: String
      - **Epg_txn_id**:
        - Tags: String
      - **Created**:
        - Tags: String
      - **Auth_id_code**:
        - Tags: String
    - Tags: object
  - **Offers**:
    - Description: Payer VPA used during setting up mandate
    - Tags: array
  - **Order_id**:
    - Description: Unique Identifier for the order.
    - Tags: String
  - **Metadata**:
    - Value:
      - **BILLDESK:gateway_reference_id**:
        - Tags: String
    - Tags: Object
  - **Mandate**:
    - Value:
      - **Start_date**:
        - Description: Mandate start date. The value that is passed during order creation
        - Tags: String
      - **Revokable_by_customer**:
        - Description: Mandate revocable by customer
        - Tags: boolean
      - **Max_amount**:
        - Description: Mandate max amount
        - Tags: integer
      - **Mandate_type**:
        - Description: Type of Mandate. Example: EMANDATE
        - Tags: String
      - **Mandate_token**:
        - Description: Mandate token sent by Juspay after mandate creation
        - Tags: String
      - **Mandate_status**:
        - Description: Status of the Mandate. Will be ACTIVE if the mandate is successfully setup
        - Tags: String
      - **Mandate_id**:
        - Description: Mandate id sent by Juspay after mandate creation
        - Tags: String
      - **Frequency**:
        - Description: Mandate frequency
        - Tags: String
      - **End_date**:
        - Description: Mandate end data.The value that is passed during order creation
        - Tags: String
      - **Block_fund**:
        - Description: Mandate block fund
        - Tags: boolean
      - **Amount_rule**:
        - Description: Amount rule
        - Tags: String
    - Tags: Object
  - **Id**:
    - Description: Unique ID generated by Juspay for the given order.
    - Tags: String
  - **Gateway_reference_id**:
    - Tags: String
  - **Gateway_id**:
    - Tags: integer
  - **Date_created**:
    - Tags: String
  - **Customer_phone**:
    - Description: Mobile number or fixed line number of the customer.
    - Tags: String
  - **Customer_id**:
    - Description: Customer Identifier against which a mandate should be created. This has to be unique for a customer
    - Tags: String
  - **Customer_email**:
    - Description: Email address of the customer.
    - Tags: String
  - **Currency**:
    - Description: ISO string of the currency.
    - Tags: String
  - **Card**:
    - Value:
      - **Using_token**:
        - Tags: boolean
      - **Using_saved_card**:
        - Tags: boolean
      - **Saved_to_locker**:
        - Tags: boolean
      - **Name_on_card**:
        - Tags: String
      - **Last_four_digits**:
        - Tags: String
      - **Expiry_year**:
        - Tags: String
      - **Expiry_month**:
        - Tags: String
      - **Card_type**:
        - Tags: String
      - **Card_reference**:
        - Tags: String
      - **Card_issuer**:
        - Tags: String
      - **Card_isin**:
        - Tags: String
      - **Card_fingerprint**:
        - Tags: String
      - **Card_brand**:
        - Tags: String
    - Tags: object
  - **Auth_type**:
    - Description: Type of authentication used
    - Tags: String
  - **Amount_refunded**:
    - Description: The amount that was refunded
    - Tags: Integer
  - **Amount**:
    - Description: This is the amount that a customer will be charged in this transaction.
    - Tags: Integer
  - **Bank_error_message**:
    - Description: Bank Error Message
    - Tags: String
  - **Bank_pg**:
    - Tags: String
  - **Bank_error_code**:
    - Description: Bank Error Code
    - Tags: String
- Tags: JSON

#### NB:
- Value:
  - **Udf1-10**:
    - Tags: String
  - **Txn_uuid**:
    - Description: Transaction UUID
    - Tags: String
  - **Txn_id**:
    - Description: Transaction ID
    - Tags: String
  - **Txn_detail**:
    - Value:
      - **Txn_uuid**:
        - Description: Transaction UUID
        - Tags: String
      - **Txn_object_type**:
        - Tags: String
      - **Txn_id**:
        - Tags: String
      - **Txn_amount**:
        - Tags: String
      - **Tax_amount**:
        - Tags: String
      - **Surcharge_amount**:
        - Tags: String
      - **Status**:
        - Tags: String
      - **Source_object_id**:
        - Tags: String
      - **Source_object**:
        - Tags: String
      - **Redirect**:
        - Tags: boolean
      - **Order_id**:
        - Description: Unique Identifier for the order.
        - Tags: String
      - **Net_amount**:
        - Tags: Integer
      - **Gateway_id**:
        - Tags: Integer
      - **Gateway**:
        - Tags: String
      - **Express_checkout**:
        - Tags: Boolean
      - **Error_message**:
        - Tags: String
      - **Error_code**:
        - Tags: String
      - **Currency**:
        - Description: ISO string of the currency.
        - Tags: String
      - **Created**:
        - Tags: String
    - Tags: object
  - **Status_id**:
    - Description: Status ID is a numeric id corresponding to the status value.
    - Tags: Integer
  - **Status**:
    - Description: Status of the order. If you receive “NEW”, then the order is successfully created.
    - Tags: String
  - **Return_url**:
    - Description: A fully qualified URL such as [http://shop.merchant.com/](http://shop.merchant.com/) to which the customer will be redirected after payment completion.
    - Tags: String
  - **Refunded**:
    - Tags: Boolean
  - **Product_id**:
    - Description: An identifier for the product on the Lender side for which the payment is being done. This field is just echoed back in the response so that Lender can differentiate on their side.
    - Tags: String
  - **Payment_method_type**:
    - Description: Payment method type used at the time of creating a mandate
    - Tags: String
  - **Payment_method**:
    - Description: Payment method used at the time of creating a mandate
    - Tags: String
  - **Payment_links**:
    - Description: Contains 3 strings that link to a Desktop optimized, Mobile optimized as well as iFrame checkout screen for the given order.
    - Value:
      - **Web**:
        - Tags: String
      - **Mobile**:
        - Tags: String
      - **Iframe**:
        - Tags: String
    - Tags: Object
  - **Payment_gateway_response**:
    - Value:
      - **Txn_id**:
        - Tags: String
      - **Rrn**:
        - Tags: String
      - **Resp_message**:
        - Tags: String
      - **Resp_code**:
        - Tags: String
      - **Epg_txn_id**:
        - Tags: String
      - **Created**:
        - Tags: String
      - **Auth_id_code**:
        - Tags: String
    - Tags: object
  - **Merchant_id**:
    - Tags: String
  - **Order_id**:
    - Description: Unique Identifier for the order.
    - Tags: String
  - **Metadata**:
    - Value:
    - Tags: string
  - **Mandate**:
    - Value:
      - **Revokable_by_customer**:
        - Description: Mandate revocable by customer
        - Tags: boolean
      - **Max_amount**:
        - Description: Mandate max amount
        - Tags: integer
      - **Mandate_type**:
        - Description: Type of Mandate. Example: EMANDATE
        - Tags: String
      - **Mandate_token**:
        - Description: Mandate token sent by Juspay after mandate creation
        - Tags: String
      - **Mandate_status**:
        - Description: Status of the Mandate. Will be ACTIVE if the mandate is successfully setup
        - Tags: String
      - **Mandate_id**:
        - Description: Mandate id sent by Juspay after mandate creation
        - Tags: String
      - **Frequency**:
        - Description: Mandate frequency
        - Tags: String
      - **Bank_details**:
        - Value:
          - **Ifsc**:
            - Description: IFSC Code of the bank
            - Tags: String
          - **Beneficiary_name**:
            - Description: Account holder name
            - Tags: String
          - **Bank_name**:
            - Description: Bank name
            - Tags: String
          - **Account_number**:
            - Description: Bank account number
            - Tags: String
        - Tags: object
      - **Block_fund**:
        - Description: Mandate block fund
        - Tags: boolean
      - **Amount_rule**:
        - Description: Amount rule
        - Tags: String
    - Tags: Object
  - **Id**:
    - Description: Unique ID generated by Juspay for the given order.
    - Tags: String
  - **Gateway_reference_id**:
    - Tags: String
  - **Gateway_id**:
    - Tags: integer
  - **Date_created**:
    - Tags: String
  - **Customer_phone**:
    - Description: Mobile number or fixed line number of the customer.
    - Tags: String
  - **Customer_id**:
    - Description: Customer Identifier against which a mandate should be created. This has to be unique for a customer
    - Tags: String
  - **Customer_email**:
    - Description: Email address of the customer.
    - Tags: String
  - **Currency**:
    - Description: ISO string of the currency.
    - Tags: String
  - **Bank_error_message**:
    - Description: Bank Error Message
    - Tags: String
  - **Bank_error_code**:
    - Description: Bank Error Code
    - Tags: String
  - **Auth_type**:
    - Description: Type of authentication used
    - Tags: String
  - **Amount_refunded**:
    - Description: The amount that was refunded
    - Tags: Integer
  - **Amount**:
    - Description: This is the amount that a customer will be charged in this transaction.
    - Tags: Integer
- Tags: JSON


---

## See Also

- [Response in Return URL](https://smartgateway.hdfc.bank.in/docs/docs/smartgateway-tranportal-integration/docs/tranportal-integration/response-in-return-url)
- [List Mandate API](https://smartgateway.hdfc.bank.in/docs/docs/smartgateway-tranportal-integration/docs/tranportal-integration/list-mandate-api)
